Skip to content

Add audience lead — same service call and success payload shape as v2 POST /dmp/audience-lead/:

Request

Security
bearerAuth and apiKeyAuth
Bodyapplication/jsonrequired
idstring
leadIdstring
segmentIdsArray of strings
attributesArray of objects(Attribute)
userInfoobject(UserInfo)
demographicsobject(Demographics_LeadEvent)
sourceInfosArray of objects(SourceInfo)
leadSourcestring
curl -i -X POST \
  https://developer.sprinklr.com/_mock/apis/sprinklr-v3/dmp/lead \
  -H 'Authorization: Bearer <YOUR_Token_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'Key: YOUR_API_KEY_HERE' \
  -d '{
    "id": "string",
    "leadId": "string",
    "segmentIds": [
      "string"
    ],
    "attributes": [
      {
        "key": "string",
        "value": {},
        "fieldType": "string"
      }
    ],
    "userInfo": {
      "customerId": "string",
      "email": "string",
      "phoneNo": "string",
      "firstName": "string",
      "lastName": "string",
      "fullName": "string",
      "anonymousId": "string",
      "phoneDetails": [
        {
          "phoneNo": "string",
          "countryCode": "string",
          "countryId": "string",
          "type": "string",
          "connectivity": 0.1
        }
      ],
      "emailDetails": [
        {
          "email": "string",
          "type": "string"
        }
      ],
      "attributes": [
        {
          "key": "string",
          "value": {},
          "fieldType": "string"
        }
      ]
    },
    "demographics": {
      "age": 0,
      "gender": "string"
    },
    "sourceInfos": [
      {
        "id": "string",
        "sourceId": "string",
        "sourceName": "string",
        "sourceUploadTime": 0,
        "sourceType": "string"
      }
    ],
    "leadSource": "string"
  }'

Responses

Success

Bodyapplication/json
dataobject
errorsArray of objects(Error)
metadataobject(ResponseMetadata)
Response
{ "data": {}, "errors": [ { … } ], "metadata": {} }